package ink.wgink.login.app.pojo.vos.appsign;

import ink.wgink.annotation.CheckEmptyAnnotation;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * When you feel like quitting. Think about why you started
 * 当你想要放弃的时候，想想当初你为何开始
 *
 * @ClassName: LoginDefault
 * @Description: 默认登录
 * @Author: WangGeng
 * @Date: 2020/6/3 9:11
 * @Version: 1.0
 **/
@ApiModel
public class AppLoginDefaultVO extends AppLoginVO {

    @ApiModelProperty(name = "password", value = "密码")
    @CheckEmptyAnnotation(name = "密码")
    private String password;

    public String getPassword() {
        return password == null ? "" : password;
    }

    public void setPassword(String password) {
        this.password = password;
    }

    @Override
    public String toString() {
        final StringBuilder sb = new StringBuilder("{");
        sb.append("\"password\":\"")
                .append(password).append('\"');
        sb.append('}');
        return sb.toString();
    }
}
